/*! HTML5 Boilerplate v9.0.1 | MIT License | https://html5boilerplate.com/ */

/* main.css 3.0.0 | MIT License | https://github.com/h5bp/main.css#readme */
/*
 * What follows is the result of much research on cross-browser styling.
 * Credit left inline and big thanks to Nicolas Gallagher, Jonathan Neal,
 * Kroc Camen, and the H5BP dev community and team.
 */

/*     =====
        FONTS
        =====
        */
@import url("https://fonts.googleapis.com/css2?family=Roboto+Slab:wght@100..900&family=Special+Elite&display=swap");
@font-face {
    font-family: "Sunday";
    src:
        /*local("Sunday"),*/ url("Sweet&Salty2-Regular.otf")
        format("opentype");
    font-weight: normal;
    font-style: normal;
}

/*
    =======
    COLORES
    =======
*/

:root {
    /* COLORES: */
    --fondo-con-transparencia: rgba(41, 65, 34, 0.8);
    --verde-principal: rgba(41, 65, 34, 1);
    --verde-intermedio: rgba(36, 51, 32, 1);
    --oscuro: rgba(24, 28, 23, 1);
    --claro: rgba(254, 237, 209, 1);
    --accent: rgba(252, 189, 93, 1);
    /* BRAKPOINTS: */
    --bp-chico: 39.125rem;
    --bp-medio: 76.25rem;
}

/* ==========================================================================
   Base styles: opinionated defaults
   ========================================================================== */

@media (prefers-reduced-motion: no-preference) {
    html {
        scroll-behavior: smooth;
    }
}

html {
    padding: 0px;
    margin: 0px;
    color: var(--oscuro);
    font-size: 16px;
    line-height: 1.8rem;
}

.buscador {
    font-size: 0.9rem;
    line-height: 1.2rem;
}
/*
 * Remove text-shadow in selection highlight:
 * https://twitter.com/miketaylr/status/12228805301
 *
 * Customize the background color to match your design.
 */

::-moz-selection {
    color: var(--verde-principal);
    background: var(--accent);
    text-shadow: none;
}

::selection {
    color: var(--verde-principal);
    background: var(--accent);
    text-shadow: none;
}

/*
 * A better looking default horizontal rule
 */

hr {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid var(--claro);
    margin: 1em 0;
    padding: 0;
}

/*
 * Remove the gap between audio, canvas, iframes,
 * images, videos and the bottom of their containers:
 * https://github.com/h5bp/html5-boilerplate/issues/440
 */

audio,
canvas,
iframe,
img,
svg,
video {
    vertical-align: middle;
}

/*
 * Remove default fieldset styles.
 */

fieldset {
    border: 0;
    margin: 0;
    padding: 0;
}

/*
 * Allow only vertical resizing of textareas.
 */

textarea {
    resize: vertical;
}

/* ======================
   Author's custom styles
   ======================= */

/*     ==================
       RESETS y VARIABLES
       ==================
       */

*,
*::before,
*::after {
    box-sizing: border-box;
}

body {
    margin: 0;
    padding: 0;
    color: var(--claro);
    background-color: var(--verde-principal);
    font-family: "Roboto Slab", serif;
    font-optical-sizing: auto;
    font-weight: 350;
    font-style: normal;
    font-size: 1.125rem;
    line-height: 1.8em;
    letter-spacing: 0.02ch;
    word-spacing: 0.2ch;
    text-wrap: pretty;
}

a,
a:visited {
    text-decoration: none;
    color: var(--claro);
}

a:hover {
    color: var(--accent);
}

a span {
    display: inline;
    border-bottom: 2px dotted var(--accent);
    text-wrap: wrap;
}

.full-image {
    width: 100%;
}

h1,
h2,
h3 {
    font-family: "Sunday", serif;
    font-weight: normal;
    line-height: 0.9em; /* original: 1.2em; */
    color: var(--claro);
    text-wrap: balance;
}

h1 {
    font-size: 5.5em; /* original: 3em; */
}

h2 {
    font-size: 4em; /* original: 2em; */
    padding-top: 0.5em; /* original: 2em; */

    &.elite {
        font-size: 1.5em;
        line-height: 1.8em;
    }
}

h3 {
    font-size: 3em; /* original: 1.5em; */
    padding-top: 0.5em; /* original: 1.5em; */

    &.elite {
        font-size: 1.5em;
        line-height: 1.8em;
    }
}

h4 {
    font-size: 2em; /* original: 1.5em; */
    padding-top: 1.5em;
}

blockquote,
q {
    font-style: italic;
}

blockquote span {
    display: block;
    text-align: right;
    font-variant: small-caps;
    font-style: normal;
}

img {
    width: 100%;
}

.cen {
    text-align: center;
}

.der {
    text-align: right;
}

/*  ===
    PIE
    === */

#pie {
    color: #feedd1;
    background: #1e251c;
    text-align: center;
    line-height: 4em;
}

#pie .vinculos {
    font-size: 80%;
    padding: 2rem 3rem 0;
    line-height: 1.6em;
    text-align: left;
    display: flex;
    gap: 3rem;
}

#pie .vinculos div {
    padding-right: 2rem;
    border-right: 1px dotted var(--claro);
}

/*
    ==============
    TAMAÑO PEQUEÑO
    ==============
*/

@media (max-width: 626px) {
    h1,
    h2,
    h3 {
        text-align: center;
    }

    h1 {
        font-size: 4em;
    }

    h2 {
        font-size: 3em;
        padding-top: 1.5em;
    }

    h3 {
        font-size: 2em;
        padding-top: 1.2em;
    }

    h4 {
        font-size: 1.5em;
        padding-top: 1.2em;
    }

    #pie {
        color: #feedd1;
        background: #1e251c;
        text-align: center;
        line-height: 1.5rem;
        padding-block: 1rem;
    }

    #pie .vinculos {
        flex-direction: column;
    }
}

/*
    ===============
    TAMAÑO DIMINUTO
    ===============
*/

@media (max-width: 420px) {
    h1 {
        font-size: 3em; /* original: 2em; */
    }

    h2 {
        font-size: 2.5em; /* 1.5em; */
        padding-top: 1.5em;
    }

    h3 {
        font-size: 1.2em;
        padding-top: 1.2em;
    }

    h4 {
        font-size: 1em;
        padding-top: 1.2em;
    }
}

/* ==========================================================================
   Helper classes
   ========================================================================== */

/*
 * Hide visually and from screen readers
 */

.hidden,
[hidden] {
    display: none !important;
}

/*
 * Hide only visually, but have it available for screen readers:
 * https://snook.ca/archives/html_and_css/hiding-content-for-accessibility
 *
 * 1. For long content, line feeds are not interpreted as spaces and small width
 *    causes content to wrap 1 word per line:
 *    https://medium.com/@jessebeach/beware-smushed-off-screen-accessible-text-5952a4c2cbfe
 */

.visually-hidden {
    border: 0;
    clip: rect(0, 0, 0, 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    white-space: nowrap;
    width: 1px;
    /* 1 */
}

/*
 * Extends the .visually-hidden class to allow the element
 * to be focusable when navigated to via the keyboard:
 * https://www.drupal.org/node/897638
 */

.visually-hidden.focusable:active,
.visually-hidden.focusable:focus {
    clip: auto;
    height: auto;
    margin: 0;
    overflow: visible;
    position: static;
    white-space: inherit;
    width: auto;
}

/*
 * Hide visually and from screen readers, but maintain layout
 */

.invisible {
    visibility: hidden;
}

/*
  font-family: "Special Elite", sans-serif;
  font-weight: 400;
  font-style: normal;
 * Clearfix: contain floats
 *
 * The use of `table` rather than `block` is only necessary if using
 * `::before` to contain the top-margins of child elements.
 */

.clearfix::before,
.clearfix::after {
    content: "";
    display: table;
}

.clearfix::after {
    clear: both;
}

/* ==========================================================================
   EXAMPLE Media Queries for Responsive Design.
   These examples override the primary ('mobile first') styles.
   Modify as content requires.
   ========================================================================== */

/* Extra small devices (phones, 600px and down)
@media only screen and (max-width: 600px) {...}

/* Small devices (portrait tablets and large phones, 600px and up)
@media only screen and (min-width: 600px) {...}

/* Medium devices (landscape tablets, 768px and up)
@media only screen and (min-width: 768px) {...}

/* Large devices (laptops/desktops, 992px and up)
@media only screen and (min-width: 992px) {...}

/* Extra large devices (large laptops and desktops, 1200px and up)
@media only screen and (min-width: 1200px) {...} */

/*@media only screen and (min-width: 1200px) {
}*/

@media print,
    (-webkit-min-device-pixel-ratio: 1.25),
    (min-resolution: 1.25dppx),
    (min-resolution: 120dpi) {
    /* Style adjustments for high resolution devices */
}

/* ==========================================================================
   Print styles.
   Inlined to avoid the additional HTTP request:
   https://www.phpied.com/delay-loading-your-print-css/
   ========================================================================== */

@media print {
    *,
    *::before,
    *::after {
        background: #fff !important;
        color: #000 !important;
        /* Black prints faster */
        box-shadow: none !important;
        text-shadow: none !important;
    }

    a,
    a:visited {
        text-decoration: underline;
    }

    a[href]::after {
        content: " (" attr(href) ")";
    }

    abbr[title]::after {
        content: " (" attr(title) ")";
    }

    /*
   * Don't show links that are fragment identifiers,
   * or use the `javascript:` pseudo protocol
   */
    a[href^="#"]::after,
    a[href^="javascript:"]::after {
        content: "";
    }

    pre {
        white-space: pre-wrap !important;
    }

    pre,
    blockquote {
        border: 1px solid #999;
        background-color:;
        page-break-inside: avoid;
    }

    tr,
    img {
        page-break-inside: avoid;
    }

    p,
    h2,
    h3 {
        orphans: 3;
        widows: 3;
    }

    h2,
    h3 {
        page-break-after: avoid;
    }
}
